Bug 121802 - bitmap fonts not added to xfs config
Summary: bitmap fonts not added to xfs config
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bitmap-fonts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-27 22:27 UTC by Len Trigg
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 00:44:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Len Trigg 2004-04-27 22:27:06 UTC
Description of problem: Fonts that I could select in gnome-terminal (in
particular, console8x16) could not be used by xterm. I tracked it down
to the fact that bitmap-fonts were not present in the catalogue setting
of /etc/X11/fs/config. Adding /usr/share/fonts/bitmap-fonts and
restarting xfs fixed the problem.

I'm not sure if this is a problem with bitmap-fonts or xfs.

Version-Release number of selected component (if applicable): From
clean install of FC2-test2

Comment 1 Owen Taylor 2004-04-28 00:44:03 UTC
We've never added these fonts to the xfs configuration and
I don't think make sense to start doing so.

The bitmap-fonts package is specifically a small set of 
bitmap fonts to be used with the fontconfig/Xft font
system that replaces xfs and the old core X fonts.

Most of the fonts in this package duplicate fonts in
the primary X fonts directory; having them in two places
in the Xfs configuration could produce unexpected results.

Comment 2 Len Trigg 2004-04-28 03:26:52 UTC
Ahhh, I see. So the "correct" way to fix my original problem is to copy
the console8x16 font into /usr/X11R6/lib/X11/fonts/misc/. Any chance of
getting that font added to the xorg-x11-base-fonts?



Note You need to log in before you can comment on or make changes to this bug.